package yeoupooh.scraper;

/**
 * @author pooh
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class DefaultLogger implements ILogger
{

    /**
     * @see yeoupooh.scraper.ILogger#debug(String)
     */
    public void debug(String msg)
    {
        if (System.getProperty("scraper.debug") != null)
        {
	    	System.err.println("[DEBUG] " + msg);
        }
    }

    /**
     * @see yeoupooh.scraper.ILogger#info(String)
     */
    public void info(String msg)
    {
    	System.out.println("[INFO] " + msg);
    }

    /**
     * @see yeoupooh.scraper.ILogger#error(String)
     */
    public void error(String msg)
    {
    	System.err.println("[ERROR] " + msg);
    }

    /**
     * @see yeoupooh.scraper.ILogger#fatal(String)
     */
    public void fatal(String msg)
    {
    	System.err.println("[FATAL] " + msg);
    }

}
