package yeoupooh.scraper;

import org.eclipse.swt.widgets.Text;

/**
 * @author pooh
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ScraperLauncherLogger implements ILogger
{
    private Text m_text = null;

    /**
     * Constructor for ScraperLauncherLogger.
     */
    public ScraperLauncherLogger(Text text)
    {
        m_text = text;
    }

    /**
     * @see yeoupooh.scraper.ILogger#debug(String)
     */
    public void debug(String msg)
    {
        if (System.getProperty("scraper.debug") != null)
        {
            m_text.append("[DEBUG] " + msg + "\r\n");
        }
    }

    /**
     * @see yeoupooh.scraper.ILogger#info(String)
     */
    public void info(String msg)
    {
        m_text.append("[INFO] " + msg + "\r\n");
    }

    /**
     * @see yeoupooh.scraper.ILogger#error(String)
     */
    public void error(String msg)
    {
        m_text.append("[ERROR] " + msg + "\r\n");
    }

    /**
     * @see yeoupooh.scraper.ILogger#fatal(String)
     */
    public void fatal(String msg)
    {
        m_text.append("[FATAL] " + msg + "\r\n");
    }

}
